# Class: SettingsClient

## SettingsClient

## Constructor

#### new SettingsClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/settings'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/settings.js, line 5

### Methods

#### getIssueNavColumns(opts, callback)

Returns the default system columns for issue navigator. Admin permission will be required.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the columns have been retrieved

Source:
  - api/settings.js, line 34

#### setBaseUrl(opts, callback)

Sets the base URL that is configured for this JIRA instance.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`newUrl` |  | The new base url.

`callback` |  | Called when the base url has been set.

Source:
  - api/settings.js, line 13